
/**
 * MoveObjTMessage
 *
 * @author     Ben Y. Zhao
 * @version    $Id: MoveObjTMessage.java,v 1.1 2001/06/01 01:08:47 s_honey Exp $
 */

package ostore.tapestry;
import ostore.util.*;
import mdw.sandStorm.api.*;


/**************
 * Event generated to start the move of an object to a new server
 */
public class MoveObjTMessage implements TEventIF {
  public SecureHash objGuid;
  public SecureHash newNodeGuid;

  public MoveObjTMessage(SecureHash oGuid, SecureHash newNGuid) {
    objGuid = oGuid;
    newNodeGuid = newNGuid;
  }

  public String toString() {
    return "(MoveObjTMessage "+super.toString()+")";
  }

}
