/**
 * DynamicPongMsg
 *
 * @author     Ben Y. Zhao
 * @version    $Id: DynamicPongMsg.java,v 1.1 2001/12/19 03:34:46 ravenben Exp $
 */

package ostore.tapestry.impl;
import ostore.network.NetworkMessage;
import ostore.util.Types;
import ostore.util.NodeId;

public class DynamicPongMsg extends NetworkMessage {

    public DynamicPongMsg (NodeId peer) {
	super (peer, false /* outbound */);
    }

    public DynamicPongMsg (byte [] data, int [] offset) {
	super (data, offset);
    }

    public void to_bytes (byte [] data, int [] offset) {
	super.to_bytes (data, offset);
    }

    public int type_code () {
	return Types.TAPESTRY_DYNAMIC_PONG_MSG;
    }

    public Object clone () throws CloneNotSupportedException {
	return super.clone ();
    }

    public String toString () {
	return "(DynamicPongMsg " + super.toString () + ")";
    }
}

