/**
 * QSHMACMD5.
 *
 * @author	Gifford Cheung
 * @version $Id: QSHMACMD5.java,v 1.1 2001/08/04 00:36:00 gkcheung Exp $
 */

package ostore.mac;
import ostore.util.*;
import java.security.*;

/**
 * QSHMACMD5.
 */

public class QSHMACMD5 extends QSMACType {

	public QSHMACMD5() {}
	public QSHMACMD5( byte[] data, int[] offset) {}

	/** The signing algorithm */
	public String algorithm() { return "HMAC-MD5"; }
	/** The Mac algorithm's provider */
	public  String provider() { return "CryptixCrypto"; }
	public int type_code() { return Types.MACTYPE_HMACMD5; }
	public void to_bytes( byte[] data, int[] offset) {}
	public String toString() { return "QSHMACMD5"; }
}
