/***
 ** Oceanstore Tapestry Node Implementation
 ** (C) 2000 Ben Zhao
 ** @author Ben Zhao
 ** Implementation of Referrer Object
 **/

package ostore.tapestry;

import ostore.*;
import java.util.*;
import java.io.*;

public class Referrer {

  private String nodeID;
  private long lastUpdated;
  private int status;

  public Referrer (String id) {
    nodeID = id;
  }

  public String getID() {
    return nodeID;
  }

  public void refresh() {
    lastUpdated = System.currentTimeMillis();
  }

  public long getLastUpdate() {
    return lastUpdated;
  }

}
