/**
 * StaticBeginMsg.
 *
 * @author     Sean C. Rhea
 * @version    $Id: StaticBeginMsg.java,v 1.1 2001/09/11 02:40:55 srhea Exp $
 */

package ostore.tapestry.impl;
import ostore.network.NetworkMessage;
import ostore.util.Types;
import ostore.util.NodeId;

public class StaticBeginMsg extends NetworkMessage {

    public StaticBeginMsg (NodeId peer) {
	super (peer, false /* outbound */);
    }

    public StaticBeginMsg (byte [] data, int [] offset) {
	super (data, offset);
    }

    public void to_bytes (byte [] data, int [] offset) {
	super.to_bytes (data, offset);
    }

    public int type_code () {
	return Types.TAPESTRY_STATIC_BEGIN_MSG;
    }

    public Object clone () throws CloneNotSupportedException {
	return super.clone ();
    }

    public String toString () {
	return "(StaticBeginMsg " + super.toString () + ")";
    }
}

